#
# spec file for package kmymoney (Version 0.6.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cppunit cppunit-devel kde3-devel-packages libofx

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils cppunit cppunit-devel expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm unsermake update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kmymoney
URL:          http://kmymoney2.sourceforge.net/
License:      GPL
Group:        Productivity/Office/Finance
Summary:      A Personal Finance Manager
Version:      0.7.2
Release:      1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}2-%{version}.tar.bz2

%description
KMyMoney is a personal finance manager. It does not support online
banking, but it can import and export QIF (Quicken) files.



Authors:
--------
    Michael Edwardes <mte@users.sourceforge.net>.
    Javier Campos Morales <javi_c@users.sourceforge.net>
    Felix Rodriguez <frodriguez@users.sourceforge.net>
    John C <thetacoturtle@users.sourceforge.net>
    Thomas Baumgart <ipwizard@users.sourceforge.net>

%package devel
Requires:	kmymoney-0.7.2
Summary:	Include Files and libraries mandatory for development
Group:		Development/Libraries/KDE
Provides:	kmymoney-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Michael Edwardes <mte@users.sourceforge.net>.
    Javier Campos Morales <javi_c@users.sourceforge.net>
    Felix Rodriguez <frodriguez@users.sourceforge.net>
    John C <thetacoturtle@users.sourceforge.net>
    Thomas Baumgart <ipwizard@users.sourceforge.net>

#%debug_package
%prep
%setup -q -n %{name}2-%{version} 
. /etc/opt/kde3/common_options
#update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file kmymoney2 Finance
%find_lang kmymoney2

%files -f kmymoney2.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%{_lib}/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/share/icons/??color
/opt/kde3/share/mimelnk/*/*.desktop
/opt/kde3/share/servicetypes/*.desktop
%_mandir/man1/*

%files devel
%defattr (-,root,root)
/opt/kde3/include/kmymoney/*

%changelog -n kmymoney
* Fri Jul 1 2005 - joe_morris@ntm.org
- update to version 0.7.2
* Thu Feb 17 2005 - adrian@suse.de
- update to version 0.6.4
- menu entry moved to xdg dir
* Thu Jul 29 2004 - adrian@suse.de
- update to version 0.6.1
* Mon Jun 07 2004 - adrian@suse.de
- update to version 0.6 final
* Thu Apr 15 2004 - coolo@suse.de
- build without unsermake
* Sun Feb 29 2004 - adrian@suse.de
- update to 0.6rc3
* Wed Feb 18 2004 - ro@suse.de
- update to 0.6rc2
* Mon Jan 19 2004 - adrian@suse.de
- update to version 0.6rc1
* Sat Jan 10 2004 - adrian@suse.de
- cleanup spec file
* Sun Aug 24 2003 - adrian@suse.de
- fix compile with gcc 3.3.1
* Wed Jul 30 2003 - adrian@suse.de
- update to version 0.5.1
- add Categories
* Sat Jun 14 2003 - coolo@suse.de
- use %%find_lang
* Fri Nov 08 2002 - coolo@suse.de
- compiling with KDE3 (expecting a real port soon looking at the
  upstream Changelogs)
* Fri May 24 2002 - adrian@suse.de
- use update_admin
* Thu May 23 2002 - ro@suse.de
- update admin directory and use common_options
* Sun Apr 07 2002 - adrian@suse.de
- initial packaging (version 0.4 for KDE 2)
